Schema "fpml-business-events-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 8913 $

Defined Components:

  3 global elements, 90 local elements, 26 complexTypes, 7 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\transparency\fpml-business-events-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-asset-5-3.xsd [src], fpml-msg-5-3.xsd [src]

Included in Schema:

  fpml-transparency-processes-5-3.xsd [src]

All Element Summary
additionalEvent | The additionalEvent element is an extension/substitution point to customize FpML and add additional events.
Type: | AdditionalEvent
Content: | complex, 1 element
Abstract: | (may not be used directly in instance XML documents)
Defined: | globally; see XML source
Used: | never
agreementDate | The date on which the change was agreed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
cashSettlement (defined in OptionExercise complexType) |
Type: | SimplePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
changeEvent | Abstract substitutable place holder for specific change details.
Type: | ChangeEvent
Content: | complex, 1 element
Subst.Gr: | may be substituted with 1 element
Defined: | globally; see XML source
Used: | at 2 locations
changeInNotionalAmount | Specifies the fixed amount by which the Notional Amount changes.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange complexType; see XML source
changeInNumberOfOptions | Specifies the fixed amount by which the Number of Options changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
changeInNumberOfUnits | Specifies the fixed amount by which the Number of Units changes
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
compressionActivity | Compression information for the trade.
Type: | CompressionActivity
Content: | complex, 5 elements
Defined: | locally witnin Compression.model group; see XML source
compressionType |
Type: | CompressionType
Content: | simple, 1 attribute
Defined: | locally witnin CompressionActivity complexType; see XML source
date (defined in OptionExpiry complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExpiry complexType; see XML source
date (in optionExpiry) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
date (in tradeMaturity) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeMaturity complexType; see XML source
difference | A type used to record the details of a difference between two sides of a business event.
Type: | TradeDifference
Content: | complex, 10 elements
Defined: | locally witnin ProposedMatch.model group; see XML source
effectiveDate (defined in AgreementAndEffectiveDates.model group) | The date on which the change become effective.
Type: | xsd:date
Content: | simple
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
effectiveDate (defined in DeClear complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin DeClear complexType; see XML source
effectiveDate (defined in TradeChangeContent complexType) | The date on which the change become effective
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeChangeContent complexType; see XML source
effectiveDate (in withdrawal) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin Withdrawal complexType; see XML source
eventId |
Type: | EventId
Content: | simple, 2 attributes
Defined: | locally witnin BusinessEventIdentifier complexType; see XML source
eventIdentifier (defined in AbstractEvent complexType) |
Type: | BusinessEventIdentifier
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin AbstractEvent complexType; see XML source
executionDateTime (defined in AgreementAndEffectiveDates.model group) | The date and time at which the negotiated change to the terms of the original contract was agreed, such as via telephone or electronic trading system (i.e., agreement date/time).
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin AgreementAndEffectiveDates.model group; see XML source
executionDateTime (in novation) | The date and time at which the change was agreed.
Type: | ExecutionDateTime
Content: | simple, 1 attribute
Defined: | locally witnin TradeNovationContent complexType; see XML source
exerciseDate |
Type: | xsd:date
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNotionalAmount | Specifies the fixed amount by which the option should be exercised expressed as notional amount.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNumberOfOptions | Specifies the fixed amount by which the option should be exercised expressed as number of options.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseInNumberOfUnits | Specifies the fixed amount by which the option should be exercised express as number of units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
exerciseProcedure |
Type: | ExerciseProcedureOption
Content: | complex, 2 elements
Defined: | locally witnin OptionExpiry complexType; see XML source
exerciseTime |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
expiry |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
factoredCalculationAmount |
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin IndexChange complexType; see XML source
fullExercise |
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
increase |
Type: | TradeNotionalChange
Content: | complex, 13 elements
Defined: | locally witnin Events.model group; see XML source
indexChange | Describes a change due to an index component being adjusted.
Type: | IndexChange
Content: | complex, 3 elements
Subst.Gr: | may substitute for element changeEvent
Defined: | globally; see XML source
Used: | never
indexFactor |
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin IndexChange complexType; see XML source
issuer (in eventIdentifier defined in AbstractEvent complexType) |
Type: | PartyId
Content: | simple, 1 attribute
Defined: | locally witnin BusinessEventIdentifier complexType; see XML source
matchId | A unique identifier assigned by the matching service to each set of matched positions.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin ProposedMatch.model group; see XML source
matchScore | Numeric score to represent the quality of the match.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin ProposedMatch.model group; see XML source
newTrade | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
newTradeIdentifier | Indicates a reference to the new trade between the transferee and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedAmount | The amount which represents the portion of the Old Contract being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedNumberOfOptions | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novatedNumberOfUnits | The number of options which represent the portion of the Old Contract being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novation |
Type: | TradeNovationContent
Content: | complex, 15 elements
Defined: | locally witnin Events.model group; see XML source
novationDate | Specifies the date that one party's legal obligations with regard to a trade are transferred to another party.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
novationTradeDate | Specifies the date the parties agree to assign or novate a Contract.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
oldTrade (defined in TradeChangeContent complexType) | The original trade details.
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
oldTrade (in novation) | Indicates the original trade between the transferor and the remaining party.
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
oldTradeIdentifier (defined in TradeChangeContent complexType) | The original qualified trade identifier.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
oldTradeIdentifier (in novation) | Indicates a reference to the original trade between the transferor and the remaining party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
optionBuyer |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionExercise complexType; see XML source
optionExpiry |
Type: | OptionExpiryBase
Content: | complex, 3 elements
Defined: | locally witnin MaturityAndExpiryEvents.model group; see XML source
optionSeller |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin OptionExercise complexType; see XML source
originalTrade |
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
originatingEvent (defined in Events.model group) |
Type: | OriginatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin Events.model group; see XML source
originatingTradeId (in compressionActivity) |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
originatingTradeIdentifier |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin CompressionActivity complexType; see XML source
outstandingNotionalAmount (defined in OptionExercise complexType) | Specifies the Notional amount after the Change
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
outstandingNotionalAmount (defined in TradeNotionalChange complexType) | Specifies the Notional amount after the Change
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNotionalChange complexType; see XML source
outstandingNumberOfOptions (defined in OptionExercise complexType) | Specifies the Number of Options after the Change.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
outstandingNumberOfOptions (defined in TradeNotionalChange complexType) | Specifies the Number of Options after the Change.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
outstandingNumberOfUnits (defined in OptionExercise complexType) | Specifies the Number of Units
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
outstandingNumberOfUnits (defined in TradeNotionalChange complexType) | Specifies the Number of Units
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNotionalChange complexType; see XML source
partyTradeIdentifier (in withdrawal) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin Withdrawal complexType; see XML source
payment (defined in OptionExercise complexType) |
Type: | NonNegativePayment
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin OptionExercise complexType; see XML source
payment (defined in TradeAlterationPayment.model group) | Describes a payment made in settlement of the change.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin TradeAlterationPayment.model group; see XML source
payment (defined in TradeChangeContent complexType) | Describes a payment made in settlement of the change.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
payment (in novation) | Describes a payment made in settlement of the novation.
Type: | Payment
Content: | complex, 2 attributes, 3 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
physicalSettlement (defined in OptionExercise complexType) |
Type: | PhysicalSettlement
Content: | complex, 3 elements
Defined: | locally witnin OptionExercise complexType; see XML source
quote (in publicExecutionReport) | Pricing information for the trade.
Type: | BasicQuotation
Content: | complex, 1 attribute, 15 elements
Defined: | locally witnin EventValuation.model group; see XML source
reason (in withdrawal) |
Type: | WithdrawalReason
Content: | simple, 1 attribute
Defined: | locally witnin Withdrawal complexType; see XML source
remainingAmount | The amount which represents the portion of the Old Contract not being novated.
Type: | Money
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingNumberOfOptions | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
remainingNumberOfUnits | The number of options which represent the portion of the Old Contract not being novated.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin TradeNovationContent complexType; see XML source
replacementTradeId |
Type: | TradeId
Content: | simple, 2 attributes
Defined: | locally witnin CompressionActivity complexType; see XML source
replacementTradeIdentifier |
Type: | TradeIdentifier
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin CompressionActivity complexType; see XML source
requestedAction |
Type: | RequestedWithdrawalAction
Content: | simple, 1 attribute
Defined: | locally witnin Withdrawal complexType; see XML source
resultingTrade | The trade that resulted from the physical settlement.
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin PhysicalSettlement complexType; see XML source
resultingTradeIdentifier | The ID of the trade that resulted from the physical settlement.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin PhysicalSettlement complexType; see XML source
settlementType (defined in OptionExercise complexType) |
Type: | SettlementTypeEnum
Content: | simple
Defined: | locally witnin OptionExercise complexType; see XML source
terminatingEvent |
Type: | TerminatingEvent
Content: | simple, 1 attribute
Defined: | locally witnin Events.model group; see XML source
termination |
Type: | TradeNotionalChange
Content: | complex, 13 elements
Defined: | locally witnin Events.model group; see XML source
time (defined in OptionExpiry complexType) |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExpiry complexType; see XML source
time (in optionExpiry) |
Type: | xsd:time
Content: | simple
Defined: | locally witnin OptionExpiryBase complexType; see XML source
trade (defined in Events.model group) |
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin Events.model group; see XML source
trade (defined in TradeAmendmentContent complexType) | A fulll description of the amended trade (i.e. the trade after the amendment).
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeAmendmentContent complexType; see XML source
trade (defined in TradeChangeContent complexType) | A full description of the amended trade.
Type: | Trade
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeChangeContent complexType; see XML source
tradeIdentifier (defined in DeClear complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin DeClear complexType; see XML source
tradeIdentifier (defined in OptionExercise complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OptionExercise complexType; see XML source
tradeIdentifier (defined in OptionExpiry complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OptionExpiry complexType; see XML source
tradeIdentifier (defined in TradeChangeBase complexType) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeChangeBase complexType; see XML source
tradeIdentifier (in optionExpiry) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin OptionExpiryBase complexType; see XML source
tradeIdentifier (in tradeMaturity) |
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin TradeMaturity complexType; see XML source
tradeMaturity |
Type: | TradeMaturity
Content: | complex, 2 elements
Defined: | locally witnin MaturityAndExpiryEvents.model group; see XML source
withdrawal |
Type: | Withdrawal
Content: | complex, 4 elements
Defined: | locally witnin Events.model group; see XML source

Complex Type Summary
AbstractEvent | Abstract base type for all events.
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 7 locations
AdditionalEvent | Abstract base type for an extension/substitution point to customize FpML and add additional events.
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 1 location
BusinessEventIdentifier | A type defining an event identifier issued by the indicated party.
Content: | complex, 1 attribute, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location
ChangeEvent | Abstract base type for non-negotiated trade change descriptions
Content: | complex, 1 element
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally; see XML source
Used: | at 2 locations
CompressionActivity | A type that shows how multiple trades have been combined into a result.
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
CompressionType | A type that identifies the type of trade amalgamation, for example netting or portfolio compression.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DeClear | A structure describing an de-clear event.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
EventId | A post-trade event reference identifier allocated by a party.
Content: | simple, 2 attributes
Defined: | globally; see XML source
Includes: | definitions of 2 attributes
Used: | at 1 location
EventProposedMatch | A structure that describes a proposed match between trades or post-trade event reports.
Content: | complex, 10 elements
Defined: | globally; see XML source
Used: | never
EventsChoice |
Content: | complex, 7 elements
Defined: | globally; see XML source
Used: | never
IndexChange | A structure describing the effect of a change to an index.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
OptionExercise | A structure describing an option exercise.
Content: | complex, 18 elements
Defined: | globally; see XML source
Includes: | definitions of 17 elements
Used: | never
OptionExpiry | A structure describing an option expiring (i.e. passing its last exercise time and becoming worthless.)
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | never
OptionExpiryBase | A structure describing an option expiring.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
PhysicalExercise |
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | never
PhysicalSettlement | A structure that describes how an option settles into a physical trade.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
RequestedWithdrawalAction | A type that describes what the requester would like to see done to implement the withdrawal, e.g.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TerminatingEvent | A type that describes why a trade terminated.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeAmendmentContent | A structure describing a negotiated amendment.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
TradeChangeBase | A structure describing a trade change.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeChangeContent | A structure describing a non-negotiated trade resulting from a market event.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | never
TradeMaturity | A structure describing a trade maturing.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
TradeNotionalChange | A structure describing a change to the trade notional.
Content: | complex, 13 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations
TradeNovationContent | A structure describing a novation.
Content: | complex, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 14 elements
Used: | at 1 location
Withdrawal | A structure describing the removal of a trade from a service, such as a reporting service.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
WithdrawalReason | A type that describes why a trade was withdrawn.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location

Element Group Summary
AgreementAndEffectiveDates.model | A model group defining agreement and effective dates.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
Compression.model | A model group holding information about compressions affecting this trade/event.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | never
Events.model | Choice between a trade and a post-trade event.
Content: | 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 4 locations
EventValuation.model | A model group holding valuation information for an event.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
MaturityAndExpiryEvents.model |
Content: | 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | never
ProposedMatch.model | A structure that describes a potential match for a trade or event, together with descriptors of that match (quality, etc.).
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
TradeAlterationPayment.model | A model group defining a payment structure.
Content: | 1 element
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 8913 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-msg-5-3.xsd"/> <xsd:include schemaLocation="fpml-asset-5-3.xsd"/> <xsd:complexType name="BusinessEventIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining an event identifier issued by the indicated party. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice> <xsd:element name="issuer" type="PartyId"/> <xsd:group ref="PartyAndAccountReferences.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A pointer style reference to a party identifier and optionally an account identifier defined elsewhere in the document. The party referenced has allocated the trade identifier. </xsd:documentation> </xsd:annotation> </xsd:group> </xsd:choice> <xsd:element name="eventId" type="EventId"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="EventId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A post-trade event reference identifier allocated by a party. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="eventIdScheme" type="xsd:anyURI"/> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType abstract="true" name="AbstractEvent"> <xsd:annotation> <xsd:documentation>Abstract base type for all events.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="eventIdentifier" type="BusinessEventIdentifier"/> </xsd:sequence> </xsd:complexType> <xsd:complexType abstract="true" name="AdditionalEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"/> </xsd:complexContent> </xsd:complexType> <xsd:complexType abstract="true" name="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract base type for non-negotiated trade change descriptions </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <!--View Generation: Skipped an empty sequence.--> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CompressionActivity"> <xsd:annotation> <xsd:documentation> A type that shows how multiple trades have been combined into a result. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compressionType" type="CompressionType"/> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="replacementTradeIdentifier" type="TradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeIdentifier" type="TradeIdentifier"/> </xsd:sequence> <xsd:sequence> <!-- this option is deprecated in favour of the first choice --> <xsd:element minOccurs="0" name="replacementTradeId" type="TradeId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeId"/> </xsd:sequence> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CompressionType"> <xsd:annotation> <xsd:documentation> A type that identifies the type of trade amalgamation, for example netting or portfolio compression. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/compression-type" name="compressionTypeScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="DeClear"> <xsd:annotation> <xsd:documentation>A structure describing an de-clear event.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="Withdrawal"> <xsd:annotation> <xsd:documentation> A structure describing the removal of a trade from a service, such as a reporting service. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"/> <xsd:element minOccurs="0" name="requestedAction" type="RequestedWithdrawalAction"/> <xsd:element minOccurs="0" name="reason" type="WithdrawalReason"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RequestedWithdrawalAction"> <xsd:annotation> <xsd:documentation> A type that describes what the requester would like to see done to implement the withdrawal, e.g. ExpungeRecords, RetainRecords. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/requested-withdrawal-action" name="requestedWithdrawalActionScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="WithdrawalReason"> <xsd:annotation> <xsd:documentation>A type that describes why a trade was withdrawn.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/withdrawal-reason" name="withdrawalReasonScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="EventProposedMatch"> <xsd:annotation> <xsd:documentation> A structure that describes a proposed match between trades or post-trade event reports. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="Events.model"/> <xsd:group ref="ProposedMatch.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="EventsChoice"> <xsd:sequence> <xsd:group ref="Events.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="IndexChange"> <xsd:annotation> <xsd:documentation> A structure describing the effect of a change to an index. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ChangeEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="indexFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="factoredCalculationAmount" type="Money"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionExercise"> <xsd:annotation> <xsd:documentation>A structure describing an option exercise.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="optionSeller" type="PartyReference"/> <xsd:element minOccurs="0" name="optionBuyer" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="exerciseDate" type="xsd:date"/> <xsd:element minOccurs="0" name="exerciseTime" type="xsd:time"/> <xsd:choice> <xsd:element minOccurs="0" name="expiry" type="xsd:boolean"/> <xsd:element minOccurs="0" name="fullExercise" type="xsd:boolean"/> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised expressed as notional amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Notional amount after the Change</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised expressed as number of options. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Options after the Change.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="exerciseInNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the option should be exercised express as number of units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Units</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="settlementType" type="SettlementTypeEnum"/> <xsd:element name="cashSettlement" type="SimplePayment"/> <xsd:element name="physicalSettlement" type="PhysicalSettlement"> <!--plugged GEM/CICTO proposal here (InstrumentTrade) --> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="payment" type="NonNegativePayment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionExpiry"> <xsd:annotation> <xsd:documentation> A structure describing an option expiring (i.e. passing its last exercise time and becoming worthless.) </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedureOption"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="OptionExpiryBase"> <xsd:annotation> <xsd:documentation>A structure describing an option expiring.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> <xsd:element minOccurs="0" name="time" type="xsd:time"/> </xsd:sequence> <!-- Lyteck 3/16/2011: added base type to accomodate Maturity Notification (no need for exerciseProcedure) --> </xsd:complexType> <xsd:complexType name="PhysicalSettlement"> <xsd:annotation> <xsd:documentation> A structure that describes how an option settles into a physical trade. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="resultingTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation> The ID of the trade that resulted from the physical settlement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="resultingTrade" type="Trade"> <xsd:annotation> <xsd:documentation> The trade that resulted from the physical settlement. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="product"/> <!-- the economics of the trade resulted from the physical settlement --> </xsd:choice> </xsd:complexType> <xsd:complexType name="PhysicalExercise"> <xsd:sequence> <xsd:group ref="TradeOrTradeReference.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TerminatingEvent"> <xsd:annotation> <xsd:documentation>A type that describes why a trade terminated.</xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/terminating-event" name="terminatingEventScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeAmendmentContent"> <xsd:annotation> <xsd:documentation>A structure describing a negotiated amendment.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation> A fulll description of the amended trade (i.e. the trade after the amendment). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeChangeBase"> <xsd:annotation> <xsd:documentation>A structure describing a trade change.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <!-- choice of trade ID or complete original change added for SDR reporting 2011-03 BAL --> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element name="originalTrade" type="Trade"/> </xsd:choice> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeChangeContent"> <xsd:annotation> <xsd:documentation> A structure describing a non-negotiated trade resulting from a market event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation>The original qualified trade identifier.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="oldTrade" type="Trade"> <xsd:annotation> <xsd:documentation>The original trade details.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation>A full description of the amended trade.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change become effective</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="changeEvent"> <xsd:annotation> <xsd:documentation>Substitution point for types of change</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the change. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeMaturity"> <xsd:annotation> <xsd:documentation>A structure describing a trade maturing.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="date" type="xsd:date"/> </xsd:sequence> <!-- Brian 4/14/2011: added type to accomodate Maturity Notification --> </xsd:complexType> <xsd:complexType name="TradeNotionalChange"> <xsd:annotation> <xsd:documentation> A structure describing a change to the trade notional. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="TradeChangeBase"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNotionalAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Notional Amount changes. The direction of the change (increase or decrease) is specified by the event type (Termination =&gt; reduction, Increase =&gt; greater.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNotionalAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Notional amount after the Change</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Options changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Options after the Change.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="changeInNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the fixed amount by which the Number of Units changes </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="outstandingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Specifies the Number of Units</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeNovationContent"> <xsd:annotation> <xsd:documentation>A structure describing a novation.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of the old contract. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates a reference to the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="oldTrade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice between identification and representation of the new contract. </xsd:documentation> </xsd:annotation> <xsd:element maxOccurs="unbounded" minOccurs="0" name="newTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation> Indicates a reference to the new trade between the transferee and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="newTrade" type="Trade"> <xsd:annotation> <xsd:documentation> Indicates the original trade between the transferor and the remaining party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> <!--View Generation: SKIPPED transferor - PartySpecific--> <!--View Generation: SKIPPED transferorAccount - PartySpecific--> <!--View Generation: SKIPPED transferee - PartySpecific--> <!--View Generation: SKIPPED transfereeAccount - PartySpecific--> <!--View Generation: SKIPPED remainingParty - PartySpecific--> <!--View Generation: SKIPPED remainingPartyAccount - PartySpecific--> <!--View Generation: SKIPPED otherRemainingParty - PartySpecific--> <!--View Generation: SKIPPED otherRemainingPartyAccount - PartySpecific--> <xsd:element name="novationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date that one party's legal obligations with regard to a trade are transferred to another party. It corresponds to the Novation Date section of the 2004 ISDA Novation Definitions, section 1.16. </xsd:documentation> </xsd:annotation> </xsd:element> <!-- added BAL 2011-03 for SDR reporting --> <xsd:element name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation>The date and time at which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="novationTradeDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the date the parties agree to assign or novate a Contract. If this element is not specified, the novationContractDate will be deemed to be the novationDate. It corresponds to the Novation Trade Date section of the 2004 ISDA Novation Definitions, section 1.17. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Choice for expressing the novated amount as either a money amount, number of options, or number of units, according the the financial product which is being novated. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="novatedAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="remainingAmount" type="Money"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount which represents the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract being novated. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of options which represent the portion of the Old Contract not being novated. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> <!--View Generation: SKIPPED fullFirstCalculationPeriod - Documentation--> <!--View Generation: SKIPPED firstPeriodStartDate - Documentation--> <!--View Generation: SKIPPED nonReliance - Documentation--> <!--View Generation: SKIPPED creditDerivativesNotices - Documentation--> <!--View Generation: SKIPPED contractualDefinitions - Documentation--> <!--View Generation: SKIPPED contractualTermsSupplement - Documentation--> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the novation. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--View Generation: SKIPPED TradeReferenceInformation - PartySpecific--> <xsd:element abstract="true" name="additionalEvent" type="AdditionalEvent"> <xsd:annotation> <xsd:documentation xml:lang="en"> The additionalEvent element is an extension/substitution point to customize FpML and add additional events. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="changeEvent" type="ChangeEvent"> <xsd:annotation> <xsd:documentation> Abstract substitutable place holder for specific change details. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="indexChange" substitutionGroup="changeEvent" type="IndexChange"> <xsd:annotation> <xsd:documentation> Describes a change due to an index component being adjusted. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group name="AgreementAndEffectiveDates.model"> <xsd:annotation> <xsd:documentation> A model group defining agreement and effective dates. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="agreementDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change was agreed.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="executionDateTime" type="ExecutionDateTime"> <xsd:annotation> <xsd:documentation> The date and time at which the negotiated change to the terms of the original contract was agreed, such as via telephone or electronic trading system (i.e., agreement date/time). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="xsd:date"> <xsd:annotation> <xsd:documentation>The date on which the change become effective.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="Compression.model"> <xsd:annotation> <xsd:documentation> A model group holding information about compressions affecting this trade/event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="compressionActivity" type="CompressionActivity"> <xsd:annotation> <xsd:documentation xml:lang="en">Compression information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!-- BAL - added 2011-10-18 to address gaps with DTCC requirements --> <xsd:group name="Events.model"> <xsd:annotation> <xsd:documentation xml:lang="en">Choice between a trade and a post-trade event.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:sequence> <xsd:element name="originatingEvent" type="OriginatingEvent"/> <xsd:element name="trade" type="Trade"/> </xsd:sequence> <!-- BAL - end 2011-10-18 additions to address gaps with DTCC requirements --> <!--View Generation: SKIPPED amendment - Unsupported--> <!-- modified from the below for SDR reporting, BAL 2011-03 <xsd:element name="trade" type="Trade"/> <xsd:element name="amendment" type="TradeAmendmentContent"/> --> <xsd:element minOccurs="0" name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element minOccurs="0" name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element minOccurs="0" name="novation" type="TradeNovationContent"/> <!--View Generation: SKIPPED optionExercise - Unsupported--> <!--View Generation: SKIPPED optionExpiry - Unsupported--> <!--View Generation: SKIPPED deClear - Unsupported--> <xsd:element minOccurs="0" name="withdrawal" type="Withdrawal"/> <!--View Generation: SKIPPED - Unsupported--> </xsd:choice> </xsd:group> <xsd:group name="EventValuation.model"> <xsd:annotation> <xsd:documentation> A model group holding valuation information for an event. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en">Pricing information for the trade.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="MaturityAndExpiryEvents.model"> <xsd:choice> <xsd:element minOccurs="0" name="optionExpiry" type="OptionExpiryBase"/> <xsd:element minOccurs="0" name="tradeMaturity" type="TradeMaturity"/> </xsd:choice> </xsd:group> <xsd:group name="ProposedMatch.model"> <xsd:annotation> <xsd:documentation> A structure that describes a potential match for a trade or event, together with descriptors of that match (quality, etc.). </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by the matching service to each set of matched positions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the details of a difference between two sides of a business event. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="matchScore" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Numeric score to represent the quality of the match. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeAlterationPayment.model"> <xsd:annotation> <xsd:documentation>A model group defining a payment structure.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="payment" type="Payment"> <xsd:annotation> <xsd:documentation> Describes a payment made in settlement of the change. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <!--View Generation: SKIPPED TradeReferenceInformation.model - PartySpecific--> <!--View Generation: SKIPPED TradeReferenceInformationContents.model - PartySpecific--> <!--View Generation: SKIPPED TradeOrInfo.model - PartySpecific--> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.